<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Pseudoclases</title>
    <link rel="stylesheet" href="../styles/pseudoclases.css">
</head>
<body>
    <h1>Pseudoclases</h1>
    <section>
        <p>Links</p>
        <a href="##">Primer url</a>
        <a href="##">Segunda url</a>
        <a href="##">tercera url</a>
    </section>
    <section>
        <p>Interaccion usuario</p>
        <input type="text" name="miText">
        <input type="checkbox" name="opcion1">
        <span>opcion 1</span>
        <input type="checkbox" name="opcion2">
        <span>opcion 2</span>
        <input type="checkbox" name="opcion3">
        <span>opcion 3</span>
    </section>
    <section>
        <p>input readonly</p>
        <input type="text" name="myText2" readonly>
    </section>
    <section>
        <p>input required/optional</p>
        <input type="text" name="myText3" required>
        <input type="text" name="myText4" class="myText4">
    </section>
    <section>
        <p>Validaciones</p>
        <input type="text" name="age" pattern="[0-9]+" class="valid1">
    </section>
    <section>
        <p>rangos</p>
        <input type="number" name="age" min="18" max="100" class="rang">
    </section>
    <section>
        <article>
            <strong>Strong 1</strong>
            <span>span 1</span>
            <strong>Strong 2</strong>
            <span>span 2</span>
            <strong>Strong 3</strong>
        </article>
    </section>
    <section>
        <p>Before/after</p>
        <div class="abuelo">
            <p>Parrafo 1</p>
            <p>Parrafo 2</p>
            <div class="padre">
                <div class="hijo">
                    <a title="titulo hijo1">Hijo1</a>
                </div>
                <div class="hijo">
                    <a>Hijo2</a>
                </div>
                <div class="hijo">
                    <a>Hijo3</a>
                </div>
            </div>
            <p>parrafo 3</p>
            <p>parrafo 4</p>
        </div>
    </section>
    <section class="pseudoelementos2">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil eaque aliquid nam blanditiis ratione rem quasi est a nesciunt! Nam corporis delectus quasi inventore iusto veniam eius exercitationem! Mollitia, consequatur.</p>
    </section>
    <section class="pseudoelementos3">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil eaque aliquid nam blanditiis ratione rem quasi est a nesciunt! Nam corporis delectus quasi inventore iusto veniam eius exercitationem! Mollitia, consequatur.</p>
    </section>
</body>
</html>